package cn.com.ctop.common.module.entity;

import cn.com.ctop.common.module.annotation.Document;
import cn.com.ctop.common.module.annotation.EsId;
import cn.com.ctop.common.module.annotation.FieId;

import cn.com.ctop.common.module.enums.AnalyzerType;
import cn.com.ctop.common.module.enums.FieldType;
import lombok.Data;

import java.io.Serializable;

@Data
@Document(index = "data_labels", type = "lable")
public class DataLabels implements Serializable {
    private static final long serialVersionUID = 1L;
    @EsId
    @FieId(type = FieldType.KEYWORD)
    private String id;
    @FieId(type = FieldType.KEYWORD,analyzer = AnalyzerType.IK_SMART)
    private String content;
    @FieId(type = FieldType.KEYWORD)
    private Integer size;
}
