package cn.com.ctop.toutiao.modules.report.service.impl;

import cn.com.ctop.toutiao.modules.report.entity.BytedanceCampaignDailyReport;
import cn.com.ctop.toutiao.modules.report.entity.BytedanceCheckReportTaskInfo;
import cn.com.ctop.toutiao.modules.report.mapper.BytedanceCampaignDailyReportMapper;
import cn.com.ctop.toutiao.modules.report.service.IBytedanceCampaignDailyReportService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.context.annotation.Primary;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * 广告组日报表信息
 * @author jeecg-boot
 * @date 2019-09-11
 * @version V1.0
 */
@Service
public class BytedanceCampaignDailyReportServiceImpl extends ServiceImpl<BytedanceCampaignDailyReportMapper, BytedanceCampaignDailyReport> implements IBytedanceCampaignDailyReportService {
    @Resource
    private BytedanceCampaignDailyReportMapper campaignDailyReportMapper;
    @Override
    public BytedanceCheckReportTaskInfo checkCampaignCostByParams(Long accountId, String stateDate) {
        return campaignDailyReportMapper.checkCampaignCostByParams(accountId,stateDate);
    }
}
